pcm.!default {
    type asym
    playback.pcm {
        type plug
        slave.pcm "hw:1,0"
    }
    capture.pcm {
        type plug
        slave.pcm "hw:2,0"
    }
}

pcm_slave.fourchannels {

   pcm "hw:1,0" # put the name of the soundcard here using this format

   channels 4 # number of channels on the original soundcard

   rate 48000     # or whatever

} 

pcm.mono1 {

   type plug

   slave.pcm {

       type dshare

       ipc_key 20160316     # any random but unique number

       slave fourchannels # it's master!

       bindings [ 0 ] # connection to specific channel. (starting with 0)

   }

} 

 pcm.mono2 {

   type plug

   slave.pcm {

       type dshare

       ipc_key 20160316

       slave fourchannels

       bindings [ 1 ]

   }

}

pcm.mono3 {

   type plug

   slave.pcm {

       type dshare

       ipc_key 20160316

       slave fourchannels

       bindings [ 2 ]

   }

}

pcm.mono4 {

   type plug

   slave.pcm {

       type dshare

       ipc_key 20160316

       slave fourchannels

       bindings [ 3 ]

   }

} 
